//
//  ViewListTableViewCell.m
//  DemoAlivcLive
//
//  Created by LYZ on 16/8/17.
//  Copyright © 2016年 Alivc. All rights reserved.
//

#import "ViewListTableViewCell.h"

@implementation ViewListTableViewCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self setupSubViews];
    }
    return self;
}

- (void)setupSubViews {
 
    self.selectionStyle = UITableViewCellSelectionStyleNone;
    self.bgView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 60, [UIScreen mainScreen].bounds.size.width, [UIScreen mainScreen].bounds.size.width)];
    [self.bgView setBackgroundColor:[UIColor colorWithRed:(0xd8)/255.0 green:(0xd8)/255.0 blue:(0xd8)/255.0 alpha:1.0]];
    [self.contentView addSubview:self.bgView];
    
    UIImage* logo = [UIImage imageNamed:@"logo"];
    self.bgImageView = [[UIImageView alloc] initWithFrame:CGRectMake((self.bgView.frame.size.width-logo.size.width)/2, (self.bgView.frame.size.height-logo.size.height)/2, logo.size.width,logo.size.height)];
    self.bgImageView.image = logo;
    [self.bgView addSubview:self.bgImageView];
    
    self.headerImageView = [[UIImageView alloc] initWithFrame:CGRectMake(10, 10, 40, 40)];
    self.headerImageView.image = [UIImage imageNamed:@"headImg.png"];
    [self.contentView addSubview:self.headerImageView];
    
    self.nameLabel = [[UILabel alloc] initWithFrame:CGRectMake(55, 10, 200, CGRectGetHeight(self.headerImageView.frame))];
    self.nameLabel.textColor = [UIColor blackColor];
    self.nameLabel.font = [UIFont systemFontOfSize:15.f];
    [self.contentView addSubview:self.nameLabel];
    
    self.playView = [[UIImageView alloc] initWithFrame:CGRectMake(10, 10, 40, 40)];
    self.playView.image = [UIImage imageNamed:@"Play"];
    [self.contentView addSubview:self.playView];
}


- (void)layoutSubviews {
    self.headerImageView.frame = CGRectMake(10, 10, 40, 40);
    self.nameLabel.frame = CGRectMake(55, 5, 200, CGRectGetHeight(self.headerImageView.frame));
    
    int x = ([UIScreen mainScreen].bounds.size.width-self.playView.image.size.width)/2;
    int y = (CGRectGetHeight(self.contentView.frame) - self.playView.image.size.height+52)/2;
    self.nameLabel.frame = CGRectMake(55, 5, 200, CGRectGetHeight(self.headerImageView.frame));
    self.playView.frame = CGRectMake(x, y, self.playView.image.size.width, self.playView.image.size.height);
    self.bgView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 52, [UIScreen mainScreen].bounds.size.width, [UIScreen mainScreen].bounds.size.width)];
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
